import click
from nethelper import lib

@click.group()
@click.option('--ip4', required=True)
def show(ip4) -> None:
    '''Show various network information'''
    pass

@click.command
@click.argument('ip_address', required=True)
def all(ip_address: str) -> None:
    '''Show entire network information'''
    netmask = lib.ipv4.get_netmask(ip_address)
    click.echo(f"IP: {netmask}")

@click.command
@click.argument('ip_address', required=True)
@click.option('-n', '--netmask', type=int, help='Specify the netmask')
def hosts(ip_address: str, netmask: int) -> None:
    '''Show list of available hosts'''

@click.command
@click.argument('ip_address', required=True)
@click.option('-n', '--netmask', type=int, help='Specify the netmask')
def broadcast(ip_address: str, netmask: int) -> None:
    '''Show broadcast of available hosts'''


show.add_command(all)
show.add_command(hosts)
